<!DOCTYPE html>
<html><head>
<title>eric7.WebBrowser.FeaturePermissions.FeaturePermissionsDialog</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.WebBrowser.FeaturePermissions.FeaturePermissionsDialog</h1>
<p>
Module implementing the feature permission dialog.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#FeaturePermissionsDialog">FeaturePermissionsDialog</a></td>
<td>Class implementing the feature permission dialog.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="FeaturePermissionsDialog" ID="FeaturePermissionsDialog"></a>
<h2>FeaturePermissionsDialog</h2>
<p>
    Class implementing the feature permission dialog.
</p>

<h3>Derived from</h3>
QDialog, Ui_FeaturePermissionsDialog
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#FeaturePermissionsDialog.__init__">FeaturePermissionsDialog</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#FeaturePermissionsDialog.__currentTabChanged">__currentTabChanged</a></td>
<td>Private slot handling changes of the selected tab.</td>
</tr>
<tr>
<td><a href="#FeaturePermissionsDialog.__itemSelectionChanged">__itemSelectionChanged</a></td>
<td>Private slot handling changes in the current list of selected items.</td>
</tr>
<tr>
<td><a href="#FeaturePermissionsDialog.__updateButtons">__updateButtons</a></td>
<td>Private method to update the buttons.</td>
</tr>
<tr>
<td><a href="#FeaturePermissionsDialog.getData">getData</a></td>
<td>Public method to retrieve the dialog contents.</td>
</tr>
<tr>
<td><a href="#FeaturePermissionsDialog.on_removeAllButton_clicked">on_removeAllButton_clicked</a></td>
<td>Private slot to remove all entries.</td>
</tr>
<tr>
<td><a href="#FeaturePermissionsDialog.on_removeButton_clicked">on_removeButton_clicked</a></td>
<td>Private slot to remove selected entries.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="FeaturePermissionsDialog.__init__" ID="FeaturePermissionsDialog.__init__"></a>
<h4>FeaturePermissionsDialog (Constructor)</h4>
<b>FeaturePermissionsDialog</b>(<i>featurePermissions, parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>featurePermissions</i> (dict of dict of list)</dt>
<dd>
dictionary with remembered feature
            permissions
</dd>
<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
</dl>
<a NAME="FeaturePermissionsDialog.__currentTabChanged" ID="FeaturePermissionsDialog.__currentTabChanged"></a>
<h4>FeaturePermissionsDialog.__currentTabChanged</h4>
<b>__currentTabChanged</b>(<i>index</i>)
<p>
        Private slot handling changes of the selected tab.
</p>

<dl>

<dt><i>index</i> (int)</dt>
<dd>
index of the current tab
</dd>
</dl>
<a NAME="FeaturePermissionsDialog.__itemSelectionChanged" ID="FeaturePermissionsDialog.__itemSelectionChanged"></a>
<h4>FeaturePermissionsDialog.__itemSelectionChanged</h4>
<b>__itemSelectionChanged</b>(<i></i>)
<p>
        Private slot handling changes in the current list of selected items.
</p>

<a NAME="FeaturePermissionsDialog.__updateButtons" ID="FeaturePermissionsDialog.__updateButtons"></a>
<h4>FeaturePermissionsDialog.__updateButtons</h4>
<b>__updateButtons</b>(<i></i>)
<p>
        Private method to update the buttons.
</p>

<a NAME="FeaturePermissionsDialog.getData" ID="FeaturePermissionsDialog.getData"></a>
<h4>FeaturePermissionsDialog.getData</h4>
<b>getData</b>(<i></i>)
<p>
        Public method to retrieve the dialog contents.
</p>

<dl>
<dt>Return:</dt>
<dd>
new feature permission settings
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
dict of dict of list
</dd>
</dl>
<a NAME="FeaturePermissionsDialog.on_removeAllButton_clicked" ID="FeaturePermissionsDialog.on_removeAllButton_clicked"></a>
<h4>FeaturePermissionsDialog.on_removeAllButton_clicked</h4>
<b>on_removeAllButton_clicked</b>(<i></i>)
<p>
        Private slot to remove all entries.
</p>

<a NAME="FeaturePermissionsDialog.on_removeButton_clicked" ID="FeaturePermissionsDialog.on_removeButton_clicked"></a>
<h4>FeaturePermissionsDialog.on_removeButton_clicked</h4>
<b>on_removeButton_clicked</b>(<i></i>)
<p>
        Private slot to remove selected entries.
</p>

<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
